package be.iminds.ilabt.jfed.rspec.rspec_source;

import be.iminds.ilabt.jfed.rspec.model.ModelRspecType;
import be.iminds.ilabt.jfed.rspec.model.StringRspec;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.FXRspecFactory;
import be.iminds.ilabt.jfed.util.GeniUrn;
import javafx.embed.swing.JFXPanel;
import junit.framework.Assert;
import org.slf4j.LoggerFactory;
import org.testng.SkipException;
import org.testng.annotations.BeforeSuite;
import org.testng.annotations.Test;

/**
 * TestManifestRspecMergerFX: same as TestManifestRspecMerger but with FXRspecFactory instead of BasicRspecFactory
 */
public class TestManifestRspecMergerFX extends TestManifestRspecMerger {
    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(TestManifestRspecMergerFX.class);

    protected final FXRspecFactory fxRspecFactory;

    @BeforeSuite
    public void setUpSuite() {
        //force initialization of JavaFX
        try {
            new JFXPanel();
        }catch(RuntimeException ex){
            throw new SkipException("Could not successfully load JavaFX toolkit..");
        }
    }


    public TestManifestRspecMergerFX() {
        super(FXRspecFactory.getInstance());
        this.fxRspecFactory = (FXRspecFactory) rspecFactory;
    }

}
